#{extends 'border.html'/}
<div class="container">
#{form @admin.KomoditasCtr.editSubmit(), method:'POST', class:'form-horizontal'}
	<input type="hidden" name="komoditas.status" id="komoditas-status" />
	<input type="hidden" name="komoditas_id" value="${komoditas.id}"/>

	<div class="row">
		<div class="col-md-12">
			<!-- Breadcrumb -->
			<ol class="breadcrumb">
				<li><a href="@{PublikCtr.index()}">&{'beranda.label'}</a></li>
				<li><a href="@{admin.KomoditasCtr.index()}">&{'komoditas.label'}</a></li>
				<li class="active">&{'ubah.label'} &{'komoditas.label'}</li>
			</ol>
			<!-- End Breadcrumb -->
		</div>
	</div>
	
	<div class="row">
		<div class="col-md-12">
			<!-- Toolbar -->
			<div class="toolbar">
				#{backButton/}
				#{if komoditas.isEditAble() }
					<button id="draft" class="btn btn-md btn-info "><i class="fa fa-save"></i> &{'draft.label'}</button>
				#{/if}
				<button id="save" class="btn btn-md btn-primary"><i class="fa fa-save"></i> &{'simpan.label'}</button>
			</div>
			<!-- End Toolbar -->
		</div>
	</div>
	
	<div class="row">
		<div class="col-md-12">
			#{alert /}
			<div class="panel panel-default">
				<div class="panel-body">
                    <div class="form-group">
                        <label class="col-md-2 control-label">&{'bidang.label'}</label>
                        <div class="col-md-4">
                            <select class="form-control" name="komoditas.bidang_id">
                                <option>&{'pilih.label'}</option>
								#{list bidangs,as:'bid'}
                                    <option value="${bid.id}" ${komoditas.bidang_id == bid.id ? "selected" : ""}>${bid.nama_bidang}</option>
								#{/list}
                            </select>
                        </div>
                    </div>
					<div class="form-group">
						<label class="col-md-2 control-label">&{'kategori.label'}</label>
						<div class="col-md-4">
							<select id="kategoriKomoditas" class="form-control" name="komoditas.komoditas_kategori_id">
								<option>&{'pilih.label'}</option>
								#{list kategori,as:'kat'}
									<option value="${kat.id}" ${komoditas.komoditas_kategori_id == kat.id ? "selected" : ""}>${kat.nama_kategori}</option>
								#{/list}
							</select>
						</div>
					</div>

					<div class="form-group" id="selectLocation" style="${komoditas.komoditas_kategori_id == 5 || komoditas.komoditas_kategori_id == 6  ? "" : "display: none;"}">
						<label class="col-md-2 control-label">&{'kabupaten_kota.label'}</label>
						<div class="col-md-4">
							<select name="komoditas.lokasiKldi" id="lokasi-penyedia" class="form-control select2" multiple="multiple" style="width: 100%" data-placeholder="&{"pilih_komoditas.label"}">
								#{list lokasiKldi, as:'lokasi'}
									<option value="${lokasi.id}" ${komoditas?.lokasiKldi?.contains(lokasi.id) ? "selected='selected'" : ""}>
									${lokasi.nama}
									</option>
								#{/list}
							</select>
						</div>
					</div>

                    <div id="selectKldi" class="form-group" style="${komoditas.komoditas_kategori_id == 5 || komoditas.komoditas_kategori_id == 6  ? "" : "display: none;"}">
                        <label class="col-md-2 control-label">&{'klpd.label'}</label>
                        <div class="col-md-4">
                            <select id="kldi" class="form-control" name="komoditas.kldi_id">
								#{list kldi,as:'kldi'}
								#{/list}
                            </select>
                        </div>
                    </div>
					<div class="form-group">
						<label class="col-md-2 control-label">&{'nama_komoditas.label'}</label>
						<div class="col-md-4">
							<input type="text" name="komoditas.nama_komoditas" value="${komoditas.nama_komoditas}" class="form-control">
						</div>
					</div>
					<div class="form-group">
						<label class="col-md-2 control-label">&{'kode_komoditas.label'}</label>
						<div class="col-md-4">
							<input type="text" name="komoditas.kode_komoditas_fake" value="${komoditas.kode_komoditas}" class="form-control" disabled="disabled">
                            <input type="hidden" name="komoditas.kode_komoditas" value="${komoditas.kode_komoditas}" class="form-control">
						</div>
					</div>
					<div class="form-group">
						<label class="col-md-2 control-label">&{'kelas_harga.label'}</label>
						<div class="col-md-4">
                            <input type="hidden" name="komoditas.kelas_harga" value="${komoditas.kelas_harga}" class="form-control">
							<select name="komoditas.kelas_harga_fake" class="form-control" ${komoditas.isEditAble() ? '' : 'disabled="disabled"' }>
								<option>&{'pilih.label'}</option>
								<option value="nasional" ${komoditas.kelas_harga == "nasional" ? "selected" : ""}>&{'nasional.label'}</option>
								<option value="provinsi" ${komoditas.kelas_harga == "provinsi" ? "selected" : ""}>&{'provinsi.label'}</option>
								<option value="kabupaten" ${komoditas.kelas_harga == "kabupaten" ? "selected" : ""}>&{'kabupaten_kota.label'}</option>
							</select>
						</div>
					</div>
					<div class="form-group">
						<label class="col-md-2 control-label">&{'jenis_produk.label'}</label>
						<div class="col-md-4">
							<select name="komoditas.jenis_produk" class="form-control">
								<option>&{'pilih.label'}</option>
								<option value="lokal" ${komoditas.jenis_produk == "lokal" ? "selected" : ""}>&{'lokal.label'}</option>
								<option value="import" ${komoditas.jenis_produk == "import" ? "selected" : ""}>&{'impor.label'}</option>
							</select>
						</div>
					</div>
					<div class="form-group">
						<label class="col-md-2 control-label">&{'jenis_produk_pengganti.label'}?</label>
						<div class="col-md-8">
							<input name="komoditas.jenis_produk_override" ${komoditas.jenis_produk_override == true ? "checked" : ""} value="1" type="radio"> &{'komoditas.jenisproduk.override.ya'}<br>
							<input name="komoditas.jenis_produk_override" ${komoditas.jenis_produk_override == false ? "checked" : ""} value="0" type="radio"> &{'komoditas.jenisproduk.override.no'}
						</div>
					</div>
					<div class="form-group">
						<label class="col-md-2 control-label">&{'stok_produk.label'}</label>
						<div class="col-md-8">
							<input name="komoditas.apakah_stok_unlimited" ${komoditas.apakah_stok_unlimited == true ? "checked" : ""} value="1" type="radio"> &{'tidak_terbatas.label'}<br>
							<input name="komoditas.apakah_stok_unlimited" ${komoditas.apakah_stok_unlimited == false ? "checked" : ""} value="0" type="radio"> &{'normal.label'} (&{'menggunakan_stok.label'})
						</div>
					</div>
					<div class="form-group">
						<label class="col-md-2 control-label">&{'margin_harga.label'}</label>
						<div class="col-md-8">
							<input type="text" name="komoditas.margin_harga" value="${komoditas.margin_harga}" class="form-control"></br>
							<p>&{'komoditas.marginharga.info'}</p>
						</div>
					</div>
					<div class="form-group">
						<label class="col-md-2 control-label">&{'akses_external_url.label'}</label>
						<div class="col-md-8">
							<input type="hidden" class="value_apakah_external_url" name="value_apakah_external_url" value="${komoditas.apakah_external_url}">
							<input class="akses-external-url" name="komoditas.apakah_external_url" ${komoditas.apakah_external_url == true ? "checked" : ""} value="1" type="radio"> &{'ya.label'} &nbsp;
							<input class="akses-external-url" name="komoditas.apakah_external_url" ${komoditas.apakah_external_url == false ? "checked" : ""} value="0" type="radio"> &{'tidak.label'}
						</div>
					</div>
					<div class="form-group external-url" style="display: none;">
						<label class="col-md-2 control-label">&{'external_url.label'}</label>
						<div class="col-md-8">
							<input type="text" class="form-control" name="komoditas.external_url" value="${komoditas.external_url}" class="form-control">
							<p>&{'komoditas.externalurl.info'}</p>
						</div>
					</div>
					<div class="form-group">
						<label class="col-md-2 control-label">&{'butuh_negosiasi_harga.label'}</label>
						<div class="col-md-8">
							#{if komoditas.isEditAble()}
								<input name="komoditas.perlu_negosiasi_harga" ${komoditas.perlu_negosiasi_harga == true ? "checked" : ""} value="1" type="radio"> &{'ya.label'} &nbsp;
								<input name="komoditas.perlu_negosiasi_harga" ${komoditas.perlu_negosiasi_harga == false ? "checked" : ""} value="0" type="radio"> &{'tidak.label'}
							#{/if}
							#{else }
                                <input type="hidden" name="komoditas.perlu_negosiasi_harga" value="${komoditas.perlu_negosiasi_harga == true ? "1" : "0"}"/>
                                <input ${komoditas.perlu_negosiasi_harga == true ? "checked" : ""} value="1" type="radio" disabled> &{'ya.label'} &nbsp;
                                <input ${komoditas.perlu_negosiasi_harga == false ? "checked" : ""} value="0" type="radio" disabled> &{'tidak.label'}
							#{/else}
						</div>
					</div>
					<div class="form-group">
						<label class="col-md-2 control-label">&{'butuh_ongkos_kirim.label'}</label>
						<div class="col-md-8">
							#{if komoditas.isEditAble()}
								<input name="komoditas.perlu_ongkir" ${komoditas.perlu_ongkir == true ? "checked" : ""} value="1" type="radio"> &{'ya.label'} &nbsp;
								<input name="komoditas.perlu_ongkir" ${komoditas.perlu_ongkir == false ? "checked" : ""} value="0" type="radio"> &{'tidak.label'}
							#{/if}
							#{else }
                                <input type="hidden" name="komoditas.perlu_ongkir" value="${komoditas.perlu_ongkir == true ? "1" : "0"}"/>
                                <input ${komoditas.perlu_ongkir == true ? "checked" : ""} value="1" type="radio" disabled> &{'ya.label'} &nbsp;
                                <input ${komoditas.perlu_ongkir == false ? "checked" : ""} value="0" type="radio" disabled> &{'tidak.label'}
							#{/else}
						</div>
					</div>
                    <div class="form-group">
                        <label class="col-md-2 control-label">&{'prakatalog.label'}</label>
                        <div class="col-md-8">
                            <input required name="komoditas.prakatalog" ${komoditas.prakatalog == 1 ? "checked" : ""} value="1" type="radio"> &{'negosiasi.label'} &nbsp;
                            <input required name="komoditas.prakatalog" ${komoditas.prakatalog == 0 ? "checked" : ""} value="0" disabled="disabled" type="radio"> &{'tender.label'}
                        </div>
                    </div>
					<div class="form-group">
						<label class="col-md-2 control-label">&{'butuh_persetujuan_produk.label'}</label>
						<div class="col-md-8">
							#{if komoditas.isEditAble()}
                                <input name="komoditas.perlu_approval_produk" ${komoditas.perlu_approval_produk == true ? "checked" : ""} value="1" type="radio"> &{'ya.label'} &nbsp;
                                <input name="komoditas.perlu_approval_produk" ${komoditas.perlu_approval_produk == false ? "checked" : ""} value="0" type="radio"> &{'tidak.label'}
							#{/if}
							#{else }
                                <input type="hidden" name="komoditas.perlu_approval_produk" value="${komoditas.perlu_approval_produk == true ? "1" : "0"}"/>
                                <input ${komoditas.perlu_approval_produk == true ? "checked" : ""} value="1" type="radio" disabled> &{'ya.label'} &nbsp;
                                <input ${komoditas.perlu_approval_produk == false ? "checked" : ""} value="0" type="radio" disabled> &{'tidak.label'}
							#{/else}
						</div>
					</div>
					<div class="form-group">
						<label class="col-md-2 control-label">&{'penyedia_input_merk.label'}</label>
						<div class="col-md-8">
							<input name="komoditas.penyedia_input_merk" ${komoditas.penyedia_input_merk == true ? "checked" : ""} value="1" type="radio"> &{'ya.label'} &nbsp;
							<input name="komoditas.penyedia_input_merk" ${komoditas.penyedia_input_merk == false ? "checked" : ""} value="0" type="radio"> &{'tidak.label'}
						</div>
					</div>
					<div class="form-group">
						<label class="col-md-2 control-label">&{'gunakan_sistem_iklan.label'}</label>
						<div class="col-md-8">
							<input name="komoditas.apakah_iklan" ${komoditas.apakah_iklan == true ? "checked" : ""} value="1" type="radio"> &{'ya.label'} &nbsp;
							<input name="komoditas.apakah_iklan" ${komoditas.apakah_iklan == false ? "checked" : ""} value="0" type="radio"> &{'tidak.label'}
						</div>
					</div>
					<div class="form-group">
						<label class="col-md-2 control-label">&{'duplikat_pembelian_produk.label'}</label>
						<div class="col-md-8">
							<input name="komoditas.apakah_paket_produk_duplikat" ${komoditas.apakah_paket_produk_duplikat == true ? "checked" : ""} value="1" type="radio"> &{'ya.label'} &nbsp;
							<input name="komoditas.apakah_paket_produk_duplikat" ${komoditas.apakah_paket_produk_duplikat == false ? "checked" : ""} value="0" type="radio"> &{'tidak.label'}
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
<button id="form-submit" type="submit" style="display: none"></button>
#{/form}
</div>

#{set 'moreScripts'}
<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
<script src="@{'/public/javascripts/jquery.mjs.nestedSortable.js'}" type="text/javascript"> </script>
<script type="text/javascript">
	var value_apakah_external_url = $( ".value_apakah_external_url" ).val();
	
	if (value_apakah_external_url == 'true'){
		$(".external-url").show();
	}

    $(document).ready(function() {
            $(document).ajaxStart(function(){$.showLoading();});
			var kat = $('#kategoriKomoditas').find('option:selected').text();
			//alert(kat);
            $.ajax({
                url: "@{controllers.admin.KomoditasCtr.getKldi()}",
                data: {
                    param: kat
                },
                dataType: 'json',
                success: function (res) {
                    // console.log(res);
                    $("#kldi").empty();
					var selected = '${komoditas.kldi_id}';
					var selectedLoc = ${komoditas.locationSelectedAsJsArray()};
					if(selectedLoc == null){
						selectedLoc = [];
					}

                    for (var i = 0; i < res.length; i++) {
                        var obj = res[i];
                        if(selected == obj.id){
                            $("#kldi").append(new Option(obj.nama, obj.id, true, true));
						}else{
                            $("#kldi").append(new Option(obj.nama, obj.id));
						}
                        if(selectedLoc.includes(obj.id)){
							$("#lokasi-penyedia").append(new Option(obj.nama, obj.id, true, true));
						}else{
							$("#lokasi-penyedia").append(new Option(obj.nama, obj.id));
						}
                        //

                    }
                }
            });
            $(document).ajaxComplete(function(){$.hideLoading();});

    });

	    $("#save").on("click", function (e) {
        	e.preventDefault()
        	$('#komoditas-status').val('publish')
            $('#form-submit').click()
        })

        $("#draft").on("click", function (e) {
        	e.preventDefault()
        	$('#komoditas-status').val('draft')
            $('#form-submit').click()
        })

    function getKldi() {
        $('#kategoriKomoditas').on('change', function() {
            if(this.value == 5) {
                $('#selectKldi').show();
				$("#lokasi-penyedia").show();
                $(document).ajaxStart(function(){$.showLoading();});
                $.ajax({
                    url: "@{controllers.admin.KomoditasCtr.getKldi()}",
                    data: {
                        param: "lokal"
                    },
                    dataType: 'json',
                    success: function (res) {
                        // console.log(res);
                        $("#kldi").empty();
						$("#lokasi-penyedia").empty();

                        for (var i = 0; i < res.length; i++) {
                            var obj = res[i];
                            $("#kldi").append(new Option(obj.nama, obj.id));
							$("#lokasi-penyedia").append(new Option(obj.nama, obj.id));
                        }
                    }
                });
                $(document).ajaxComplete(function(){$.hideLoading();});
            } else if (this.value == 6) {
                $('#selectKldi').show();
				$("#lokasi-penyedia").show();
                $(document).ajaxStart(function(){$.showLoading();});
                $.ajax({
                    url: "@{controllers.admin.KomoditasCtr.getKldi()}",
                    data: {
                        param: "sektoral"
                    },
                    dataType: 'json',
                    success: function (res) {
                        // console.log(res);
                        $("#kldi").empty();
						$("#lokasi-penyedia").empty();

                        for (var i = 0; i < res.length; i++) {
                            var obj = res[i];
                            $("#kldi").append(new Option(obj.nama, obj.id));
							$("#lokasi-penyedia").append(new Option(obj.nama, obj.id));
                        }
                    }
                });
                $(document).ajaxComplete(function(){$.hideLoading();});
            } else{
                $('#selectKldi').hide();
				$("#lokasi-penyedia").hide();
            }
        });
    }

	$(".akses-external-url").on("click", function () {
		var radio = $(this).val();
		if(radio == 1){
			$("#external-url").prop('required',true);
			$(".external-url").show();
		}else{
			$("#external-url").prop('required',false);
			$("#external-url").parents('.form-group').removeClass('has-error');
			$("#external-url-error").remove();
			$(".external-url").hide();
		}
	});

</script>
#{/set}